Bug 1071284 - RFE: Add support for ppc64 and ppc64le to libseccomp
Summary: RFE: Add support for ppc64 and ppc64le to libseccomp
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libseccomp
Version: rawhide
Hardware: ppc64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Paul Moore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker 1125759 1186834
TreeView+ depends on / blocked
 
Reported: 2014-02-28 12:44 UTC by Karsten Hopp
Modified: 2016-04-08 08:24 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-02-29 21:23:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 140179 None None None 2016-04-08 08:24 UTC

Description Karsten Hopp 2014-02-28 12:44:13 UTC
Description of problem:
systemd recently picked up a build requirement on libseccomp. Unfortunately libseccomp is exclusivearch x86 and arm.
Please add support for ppc(32bit) and ppc64. 

Version-Release number of selected component (if applicable):
libseccomp-2.1.1-2.fc21



Actual results:
libseccomp not available on ppc*

Comment 1 Paul Moore 2014-02-28 12:50:54 UTC
Unfortunately, the upstream kernel does not have support for the BPF seccomp filter on ppc and ppc64.  Until the kernel adds support there is nothing we can do for libseccomp.

Comment 2 Paul Moore 2015-02-18 16:19:57 UTC
We've created a libseccomp branch to hold the powepc patches:

 * https://github.com/seccomp/libseccomp/tree/working-ppc64

Comment 3 Karsten Hopp 2015-07-27 08:59:32 UTC
FYI: ppc 32bit isn't supported anymore by any recent Fedora release, but we have ppc64le now.

Comment 4 Paul Moore 2015-11-04 13:41:54 UTC
Quick update: with Linux v4.3 out I've asked IBM to help with the verification of ppc64{le} support in libseccomp.

 * https://groups.google.com/forum/#!topic/libseccomp/ltbFhBCAEpA

Comment 5 Paul Moore 2016-02-29 21:23:05 UTC
We've released a new version upstream which should resolve this problem; an updated libseccomp package is now available for Fedora Rawhide.

 * https://github.com/seccomp/libseccomp/releases/tag/v2.3.0


Note You need to log in before you can comment on or make changes to this bug.